Bug 132351 - posix-timers leak on multithreaded exec (unprivileged local DoS)
Summary: posix-timers leak on multithreaded exec (unprivileged local DoS)
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Roland McGrath
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks: 132232
TreeView+ depends on / blocked
 
Reported: 2004-09-11 07:33 UTC by Roland McGrath
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version: 2.6.8-1.585
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-24 06:53:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
test case (931 bytes, text/plain)
2004-09-11 07:34 UTC, Roland McGrath
no flags Details
kernel patch fixing exec timer leak and signal state loss (7.37 KB, patch)
2004-09-11 07:58 UTC, Roland McGrath
no flags Details | Diff

Description Roland McGrath 2004-09-11 07:33:48 UTC
Description of problem:

exec when multithreaded fails to clean up posix-timers properly, and
leaks the data structures.  exec when single-threaded fails to clear
out the timers, but doesn't leak, so that's just a bug and no DoS risk.

Version-Release number of selected component (if applicable):
2.6.9-rc1

How reproducible:
100%

Steps to Reproduce:
1.see attached test program.
2.run it a lot.
3.watch it leak.
  
Actual results:
leaks that a mofo


Expected results:
not so much

Additional info:
fix on the way

Comment 1 Roland McGrath 2004-09-11 07:34:22 UTC
Created attachment 103718 [details]
test case

gcc -o de_thread-timerleak -g de_thread-timerleak.c -lrt -lpthread -Wall

Comment 2 Roland McGrath 2004-09-11 07:58:46 UTC
Created attachment 103719 [details]
kernel patch fixing exec timer leak and signal state loss

Fix posted upstream.


Note You need to log in before you can comment on or make changes to this bug.